Name: qt-gstreamer
Summary: C++ bindings for GStreamer with a Qt-style API
Version: 0.10.1.2
Release: %mkrel 1
License: LGPLv2+
Url: http://gstreamer.freedesktop.org/wiki/QtGStreamer
Group: Development/KDE and Qt
BuildRequires: cmake
BuildRequires: qt4-devel qt4-qmlviewer
BuildRequires: automoc
BuildRequires: boost-devel
BuildRequires: libgstreamer0.10-plugins-base-devel
BuildRequires: bison flex
# tarball generated frm git
# via git clone git://anongit.freedesktop.org/gstreamer/qt-gstreamer
Source0: %{name}-%{version}.tar.xz

%description
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

%files
%defattr(-,root,root)
%_libdir/gstreamer-0.10/libgstqtvideosink.so
%_qt4_importdir/QtGStreamer/
#-------------------------------------------------------------------

%define major 0
%define libname %mklibname %name %{major}

%package -n %{libname}
Summary: C++ bindings for GStreamer with a Qt-style API
Group: System/Libraries

%description -n %{libname}
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

%files -n %{libname}
%_libdir/*.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %{develname}
Summary: Development files for QtGstreamer
Group: Development/KDE and Qt
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %{develname}
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

This package contains files for developing applications using 
QtGstreamer.

%files -n %{develname}
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_libdir/QtGStreamer/*.cmake
%_includedir/QtGStreamer

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt4 -DQTGSTREAMER_TESTS=ON -DLIB_INSTALL_DIR=%{_libdir}
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

####%check
####pushd build
###ctest
####popd


%changelog

* Thu Apr 12 2012 mikala <mikala> 0.10.1.2-1.mga2
+ Revision: 230512
- Update tarball to 0.10.1.2
- Disable test for now (1 test fail)
- Fix files list
- Add patch1 to fix build against glib 2.31
- rediff patch0 in order to use %%apply_patches macro
- Remove %%clean & %%defattr()

* Thu Mar 03 2011 mikala <mikala> 0.10.1-1.mga1
+ Revision: 63726
- Drop BuildRoot
- imported package qt-gstreamer


* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 0.10.1-1mdv2011.0
+ Revision: 635774
- install into correct libdir
- update url and group
- import qt-gstreamer

